{$mode objfpc}{$assertions on}{$r+}{$h+}

  function RemoveDigit(S, d: Integer): Integer;
  var
    m, dd: Integer;
  begin
    Result := 0;
    m := 1;
    while S > 0 do begin
      dd := S mod 10;
      Assert(dd > 0);
      if dd <> d then begin
        Result += m * dd;
        m *= 10;
      end;
      S := S div 10;
    end;
  end;

var
  S, N, d, i, t, best: Integer;
begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);
  Readln(S);
  Assert((1 <= S) and (S <= 1000000000));
  N := -1;
  for d := 1 to 9 do
    N += Ord(RemoveDigit(S, d) <> S);
  Writeln(N);
  for i := 1 to N do begin
    best := 0;
    for d := 1 to 9 do begin
      t := RemoveDigit(S, d);
      if (t <> S) and (t > best) then best := t;
    end;
    S := best;
    Writeln(S);
  end;
end.
